Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1276)

Unified Diff: ports/gforth/build.sh

Issue 1666763002: Ensure configure comes from autogen.sh (Closed) Base URL: https://chromium.googlesource.com/webports.git@master
Patch Set: revise Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: ports/gforth/build.sh
diff --git a/ports/gforth/build.sh b/ports/gforth/build.sh
index c0bcb244cba83bebf3e8c1c023b330f8325f6a71..39deb19b64375b91aeb716ef6c05437c403c2002 100644
--- a/ports/gforth/build.sh
+++ b/ports/gforth/build.sh
@@ -29,7 +29,11 @@ BuildHostGforth() {
ConfigureStep() {
ChangeDir ${SRC_DIR}
- ./autogen.sh
+ LogExecute ./autogen.sh
+ if ! grep '# NOTE: Disabling this, as it prevents sharing' configure; then
+ echo "Autoconf failed to properly update configure"
+ exit 1
+ fi
BuildHostGforth
Banner "Building ${PACKAGE_NAME} for NaCl"
export PATH="${HOST_INSTALL_DIR}/bin:${PATH}"
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698